
Redmine - Defect #2948

load_default_data.rake: STDOUT.flush needed before STDIN.gets

2009-03-11 03:34 - Kazuhiro Nishiyama

Status: Closed Start date: 2009-03-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.8.3   

Resolution: Fixed Affected version: 0.8.2

Description

I tried `rake redmine:load_default_data RAILS_ENV=production` but nothing happened, and messages showed after Ctrl+C.

It seems to be a buffering problem.

% rake redmine:load_default_data RAILS_ENV=production

(in /home/kazu/rails_apps/redmine-0.8.2)

^Crake aborted!

(See full trace by running task with --trace)

Select language: bg, ca, cs, da, de, en, es, fi, fr, he, hu, it, ja, ko, lt, nl, no, pl, pt, pt-br

, ro, ru, sk, sr, sv, th, tr, uk, vn, zh, zh-tw [en] 

% ruby script/about

About your application's environment

Ruby version              1.8.6 (i686-linux)

RubyGems version          1.3.1

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Edge Rails revision       unknown

Application root          /home/kazu/rails_apps/redmine-0.8.2

Environment               development

Database adapter          mysql

%

Associated revisions

Revision 2573 - 2009-03-12 19:11 - Jean-Philippe Lang

Flush buffer when asking for language (#2948).

History

#1 - 2009-03-11 03:35 - Kazuhiro Nishiyama

- File load_default_data.rake.diff added

#2 - 2009-03-12 19:09 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.3

- Resolution set to Fixed

I don't experience this problem, but your fix is applied in r2573.

Thanks.

#3 - 2009-03-15 11:07 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/2573


Merged in 0.8-stable in r2593.

Files

load_default_data.rake.diff 450 Bytes 2009-03-11 Kazuhiro Nishiyama
